package com.franckbarbier.jdbc_glassfish;

public class JDBC_GlassFish {

    javax.naming.Context _context;
    javax.sql.DataSource _data_source;
    java.sql.Connection _connection;

    public JDBC_GlassFish() throws javax.naming.NamingException, java.sql.SQLException {
        _context = new javax.naming.InitialContext();
        _data_source = (javax.sql.DataSource) _context.lookup("jdbc/New_York_City_Penitentiary");
        _connection = _data_source.getConnection();
        _connection.setAutoCommit(false);
        java.sql.PreparedStatement ps = _connection.prepareStatement("INSERT INTO Motive (motive_number, motive_label) VALUES (?,?)");
        ps.setString(1, "02");
        ps.setString(2, "assault and battery");
        ps.addBatch(); // ps.executeUpdate();
        ps.setString(1, "03");
        ps.setString(2, "fraud");
        ps.addBatch(); // ps.executeUpdate();
        ps.executeBatch();
        if (ps.getWarnings() == null && _connection.getTransactionIsolation() != java.sql.Connection.TRANSACTION_NONE) {
            _connection.commit();
        } else {
            if (_connection.getTransactionIsolation() != java.sql.Connection.TRANSACTION_NONE) {
                _connection.rollback();
            }
        }
        _connection.close();
        _context.close();
    }

    public void close() {
        try {
            if (_connection != null) {
                _connection.close();
            }
            if (_context != null) {
                _context.close();
            }
        } catch (javax.naming.NamingException ne) {
            throw new RuntimeException(ne);
        } catch (java.sql.SQLException sqle) {
            throw new RuntimeException(sqle);
        }
    }

    public static void main(String[] args) {
        JDBC_GlassFish test = null;
        try {
            test = new JDBC_GlassFish();
        } catch (Exception e) {
            e.printStackTrace();
            if (test != null) {
                test.close();
            }
        }
    }
}
